import * as React from 'react';
import { Coloring, RenditionSystemProps, Theme } from '../../common-types';
import { TxtProps } from '../Txt';
export interface InternalBadgeProps extends TxtProps, Coloring {
    small?: boolean;
    xsmall?: boolean;
    color?: string;
    bg?: string;
}
export interface ThemedBadgeProps extends InternalBadgeProps {
    theme: Theme;
}
export declare type BadgeProps = InternalBadgeProps & RenditionSystemProps;
declare const _default: React.FunctionComponent<BadgeProps>;
export default _default;
