"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = __importStar(require("react"));
var styled_components_1 = __importDefault(require("styled-components"));
var asRendition_1 = __importDefault(require("../../asRendition"));
var ORDERED_LIST_SIZE = 1.5;
var ListBase = styled_components_1.default.ul(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n\tpadding: 0;\n\tmargin: 0;\n\tlist-style: none;\n\n\t& > li {\n\t\tdisplay: flex;\n\n\t\t:first-child {\n\t\t\tmargin-top: 0;\n\t\t}\n\n\t\t:last-child {\n\t\t\tmargin-bottom: 0;\n\t\t}\n\n\t\t:before {\n\t\t\ttext-align: center;\n\t\t}\n\t}\n"], ["\n\tpadding: 0;\n\tmargin: 0;\n\tlist-style: none;\n\n\t& > li {\n\t\tdisplay: flex;\n\n\t\t:first-child {\n\t\t\tmargin-top: 0;\n\t\t}\n\n\t\t:last-child {\n\t\t\tmargin-bottom: 0;\n\t\t}\n\n\t\t:before {\n\t\t\ttext-align: center;\n\t\t}\n\t}\n"])));
var OrderedList = styled_components_1.default(ListBase).attrs({ as: 'ol' })(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n\tcounter-reset: ordered-list-counter;\n\n\t& > li {\n\t\tmargin: ", "px 0;\n\t\tcounter-increment: ordered-list-counter;\n\n\t\t:before {\n\t\t\tcontent: counter(ordered-list-counter);\n\t\t\tmargin-right: ", "px;\n\t\t\tbackground: ", ";\n\t\t\theight: ", "em;\n\t\t\twidth: ", "em;\n\t\t\tline-height: ", "em;\n\t\t\tcolor: white;\n\t\t\tborder-radius: 50%;\n\t\t}\n\t}\n"], ["\n\tcounter-reset: ordered-list-counter;\n\n\t& > li {\n\t\tmargin: ", "px 0;\n\t\tcounter-increment: ordered-list-counter;\n\n\t\t:before {\n\t\t\tcontent: counter(ordered-list-counter);\n\t\t\tmargin-right: ", "px;\n\t\t\tbackground: ", ";\n\t\t\theight: ", "em;\n\t\t\twidth: ", "em;\n\t\t\tline-height: ", "em;\n\t\t\tcolor: white;\n\t\t\tborder-radius: 50%;\n\t\t}\n\t}\n"])), function (props) { return props.theme.space[3]; }, function (props) { return props.theme.space[3]; }, function (props) { return props.theme.colors.primary.main; }, ORDERED_LIST_SIZE, ORDERED_LIST_SIZE, ORDERED_LIST_SIZE);
var UnorderedList = styled_components_1.default(ListBase)(templateObject_3 || (templateObject_3 = __makeTemplateObject(["\n\t& > li {\n\t\tmargin: ", "px 0;\n\n\t\t:before {\n\t\t\tcontent: '\\2022'; /* Unicode for a bullet character */\n\t\t\tmargin-right: ", "px;\n\t\t\ttransform: translateY(\n\t\t\t\t-1px\n\t\t\t); /* The bullet character is misplaced (by design it seems) by 1px, but it looks better if it is centered */\n\t\t\tcolor: ", ";\n\t\t}\n\t}\n"], ["\n\t& > li {\n\t\tmargin: ", "px 0;\n\n\t\t:before {\n\t\t\tcontent: '\\\\2022'; /* Unicode for a bullet character */\n\t\t\tmargin-right: ", "px;\n\t\t\ttransform: translateY(\n\t\t\t\t-1px\n\t\t\t); /* The bullet character is misplaced (by design it seems) by 1px, but it looks better if it is centered */\n\t\t\tcolor: ", ";\n\t\t}\n\t}\n"])), function (props) { return props.theme.space[1]; }, function (props) { return props.theme.space[3]; }, function (props) { return props.theme.colors.tertiary.main; });
var List = function (_a) {
    var children = _a.children, className = _a.className, ordered = _a.ordered;
    var ListType = ordered ? OrderedList : UnorderedList;
    return (React.createElement(ListType, { className: className }, React.Children.map(children, function (child) {
        return React.createElement("li", null, child);
    })));
};
exports.default = asRendition_1.default(List);
var templateObject_1, templateObject_2, templateObject_3;
