"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = __importStar(require("react"));
var close_1 = __importDefault(require("react-icons/lib/fa/close"));
var styled_components_1 = __importDefault(require("styled-components"));
var asRendition_1 = __importDefault(require("../../asRendition"));
var Button_1 = __importDefault(require("../Button"));
var Flex_1 = require("../Flex");
var Txt_1 = __importDefault(require("../Txt"));
var Container = styled_components_1.default(Flex_1.Flex)(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n\tbackground-color: ", ";\n\tborder: 1px solid ", ";\n\tborder-radius: 2px;\n\tline-height: 1.5;\n"], ["\n\tbackground-color: ", ";\n\tborder: 1px solid ", ";\n\tborder-radius: 2px;\n\tline-height: 1.5;\n"])), function (props) { return props.theme.colors.info.light; }, function (props) { return props.theme.colors.info.main; });
var TagText = styled_components_1.default(Txt_1.default)(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n\tfont-family: ", ";\n"], ["\n\tfont-family: ", ";\n"])), function (props) { return props.theme.titleFont; });
var DeleteButton = styled_components_1.default(Button_1.default)(templateObject_3 || (templateObject_3 = __makeTemplateObject(["\n\tcolor: ", ";\n"], ["\n\tcolor: ", ";\n"])), function (props) { return props.theme.colors.tertiary.semilight; });
var TagBase = function (_a) {
    var name = _a.name, operator = _a.operator, value = _a.value, multiple = _a.multiple, onClose = _a.onClose, onClick = _a.onClick, className = _a.className;
    var tagArray = multiple || [{ name: name, operator: operator, value: value }];
    var tagContent = (React.createElement(Container, { py: 1, px: 2 }, tagArray.map(function (tagEntry, index) {
        var nameValueSeparator = tagEntry.operator
            ? " " + tagEntry.operator + " "
            : ': ';
        return (React.createElement(React.Fragment, { key: index },
            index > 0 && (React.createElement(Txt_1.default, { whitespace: "pre", color: "info.main", fontSize: 0, italic: true }, "  " + (tagEntry.prefix || ',') + "  ")),
            !tagEntry.value && !tagEntry.name && (React.createElement(TagText, { italic: true, color: "info.main", fontSize: 0 }, "no value")),
            tagEntry.name && (React.createElement(TagText, { whitespace: "pre", color: "info.main", fontSize: 0 }, "" + tagEntry.name + (tagEntry.value ? nameValueSeparator : ''))),
            tagEntry.value && (React.createElement(TagText, { bold: true, color: "info.main", fontSize: 0 }, tagEntry.value))));
    })));
    return (React.createElement(Flex_1.Flex, { className: className },
        onClick ? (React.createElement(Button_1.default, { plain: true, onClick: onClick }, tagContent)) : (tagContent),
        onClose && (React.createElement(DeleteButton, { plain: true, p: 1, pl: 2, pr: 3, fontSize: 0, onClick: onClose },
            React.createElement(close_1.default, null)))));
};
exports.Tag = asRendition_1.default(TagBase);
var templateObject_1, templateObject_2, templateObject_3;
