"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = __importStar(require("react"));
var __1 = require("../../../..");
var SelectWidget = function (props) {
    var id = props.id, options = props.options, value = props.value, disabled = props.disabled, readonly = props.readonly, onChange = props.onChange;
    var enumOptions = options.enumOptions, enumDisabled = options.enumDisabled;
    var selectOptions = enumOptions.map(function (option) {
        return __assign(__assign({}, option), { disabled: enumDisabled && enumDisabled.indexOf(option.value) !== -1 });
    });
    return (React.createElement(__1.Select, { width: "100%", id: id, value: value ? selectOptions.find(function (option) { return option.value === value; }) : '', disabled: disabled || readonly, onChange: function (_a) {
            var option = _a.option;
            onChange(option.value);
        }, options: selectOptions, emphasized: options.emphasized, valueKey: "value", labelKey: "label", disabledKey: "disabled" }));
};
exports.default = SelectWidget;
