"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = __importStar(require("react"));
var __1 = require("../../../..");
function TextareaWidget(props) {
    var id = props.id, options = props.options, placeholder = props.placeholder, value = props.value, required = props.required, disabled = props.disabled, readonly = props.readonly, autofocus = props.autofocus, onChange = props.onChange, onBlur = props.onBlur, onFocus = props.onFocus;
    return (React.createElement(__1.Textarea, { id: id, className: "form-control", value: typeof value === 'undefined' ? '' : value, placeholder: placeholder, required: required, disabled: disabled, readOnly: readonly, autoFocus: autofocus, rows: options.rows, onBlur: onBlur && (function (event) { return onBlur(id, event.target.value); }), onFocus: onFocus && (function (event) { return onFocus(id, event.target.value); }), onChange: onChange &&
            (function (event) {
                return onChange(event.target.value === '' ? options.emptyValue : event.target.value);
            }) }));
}
exports.default = TextareaWidget;
